Bug 245657 - f-spot packaging issue
Summary: f-spot packaging issue
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: f-spot   
(Show other bugs)
Version: 7
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-25 21:52 UTC by Waclaw Sierek
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-26 22:05:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Waclaw Sierek 2007-06-25 21:52:13 UTC
f-spot depends on mono-data-sqlite, which is not included properly on dependency
list.
If you don't install mono-data-sqlite manually, f-spot will not run - it will
complain about missing Mono.Data.SqliteClient assembly.

Comment 1 Christopher Aillon 2007-06-26 01:39:39 UTC
The following commands imply that the package is correct... Appears your
dependencies got messed up somehow....

% rpm -q --provides mono-data-sqlite
mono(Mono.Data.SqliteClient) = 1.0.5000.0
mono(Mono.Data.SqliteClient) = 2.0.0.0
mono-data-sqlite = 1.2.3-3.fc7
% rpm -q --requires f-spot | grep Sqlite
mono(Mono.Data.SqliteClient) = 2.0.0.0
% rpm -q f-spot
f-spot-0.3.5-2.fc7


Comment 2 Waclaw Sierek 2007-06-26 22:05:28 UTC
Oops, I should have check that myself instead of posting a bug in the middle of
night.
My installation does seem a bit inconsistent
$ rpm -q --whatprovides 'mono(Mono.Data.SqliteClient)'
mono-data-sqlite-1.2.3-3.fc7
mono-data-sqlite-1.2.3-3.fc7

I see the package mentioned twice.

I guess you shall close this bug.


Note You need to log in before you can comment on or make changes to this bug.